# MPIFortranCommToCComm

Converts a MPI_Comm represented int Fortran (as an integer) to a MPI_Comm in C.

### Synopsis

    PetscErrorCode MPIFortranCommToCComm(int fcomm,MPI_Comm *comm)

Not collective

### Input Parameter

fcomm -the Fortran MPI_Comm (an integer)

### Output Parameter

comm -the C MPI_Comm

### Notes

MPIFortranCommToCComm() must be called in a C/C++ routine. MPI 1 does not provide a standard for mapping between Fortran and C MPI communicators; this routine handles the mapping correctly on all machines.

### Keywords

Fortran, C, MPI_Comm, convert, interlanguage

### See Also

MPICCommToFortranComm()

Level:advanced
Location:src/fortran/custom/zoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/examples/tutorials/ex7.c.html